<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Objects;

use Infomaker\Everyware\NewsML\Item;

/**
 * TeaserItem
 *
 * @property array links
 * @property string type
 * @property string headline
 * @property string text
 * @property string subject
 * @link    http://infomaker.se
 * @package Infomaker\Everyware\NewsML\Objects
 * @since   Infomaker\Everyware\NewsML\Objects\TeaserItem 1.0.0
 */
class TeaserItem extends Item
{

    public function getImage(): ?ImageItem
    {
        foreach ($this->links as $link) {
            if ($link instanceof ImageItem) {
                return $link;
            }
        }
        return null;
    }

    public function hasImage(): bool
    {
        return $this->getImage() !== null;
    }
}
