<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use SimpleXMLIterator;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;

/**
 * Post
 *
 * @link    http://infomaker.se
 * @package Infomaker\Everyware\NewsML\Parsers
 * @since   Infomaker\Everyware\NewsML\Parsers\Post 1.0.0
 */
class FacebookPostLinkParser implements ItemParser
{

    public const LINK_TYPE = 'x-im/facebook-post';

    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $item->fill($item->getItemAttributes());

        return [$item];
    }
}
