<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\TypeParser;
use SimpleXMLIterator;

/**
 * HtmlEmbedParser
 *
 * @link    http://infomaker.se
 * @package Infomaker\Everyware\NewsML\Parsers
 * @since   Infomaker\Everyware\NewsML\Parsers\HtmlEmbedParser 1.0.0
 */
class HtmlEmbedParser implements ItemParser, TypeParser
{

    public const OBJECT_TYPE = 'x-im/htmlembed';

    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $item->fill([
            'type' => $item->getType(),
            'format' => isset($element->data->format) ? (string)$element->data->format : 'text',
            'content' => isset($element->data->text) ? (string)$element->data->text : ''
        ]);

        return [$item];
    }

    public function typeToParse(): string
    {
        return static::OBJECT_TYPE;
    }
}
