<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use SimpleXMLIterator;

class InstagramLinkParser implements ItemParser
{

    public const LINK_TYPE = 'x-im/instagram';

    /**
     * @param SimpleXMLIterator $element
     *
     * @since 1.0.0
     * @return array
     */
    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $item->fill(array_replace($item->getItemAttributes(), [
            'embed_url' => 'https://api.instagram.com/oembed/?url=' . $item->getItemAttribute('url')
        ]));

        return [$item];
    }
}
