<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\TypeParser;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use SimpleXMLIterator;

class TableParser extends LinkParser implements ItemParser, TypeParser
{

    public const OBJECT_TYPE = 'x-im/table';

    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $table = $item->getChild('data');
        $item->fill([
            'caption' => ($table && isset($table['caption'])) ? $table['caption'] : '',
            'head' => ($table && isset($table['thead'])) ? $table['thead']->asXML() : '',
            'body' => ($table && isset($table['tbody'])) ? $table['tbody']->asXML() : '',
            'foot' => ($table && isset($table['tfoot'])) ? $table['tfoot']->asXML() : ''
        ]);

        return [$item];
    }

    public function typeToParse(): string
    {
        return static::OBJECT_TYPE;
    }
}
