<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\ImageParser;
use Infomaker\Everyware\NewsML\Objects\ImageItem;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class ImageParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(ImageParser::class);
    }
    public function it_should_parse_an_element()
    {
        $xml = '
            <xml>
                <links>
                    <link rel="image" type="x-im/image"  uri="im://image/NygPCiTpwG3j0WItNRSc3a6AbY0.jpg" uuid="c965e053-6176-58ec-81ad-d2d4c778761c">
                        <data>
                            <height>1109</height>
                        </data>
                    </link>
                </links>
            </xml>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)
            ->shouldBeOfClass();
    }
    public function it_should_return_its_type()
    {
        $this->typeToParse()->shouldReturn('x-im/image');
    }
    public function getMatchers(): array
    {
        return [
            'beOfClass' => function ($subject) {
                return $subject[0] instanceof ImageItem;
            },
        ];
    }
}
