<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\InstagramLinkParser;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class InstagramLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(InstagramLinkParser::class);
    }
    public function it_should_parse_an_element()
    {
        $xml = '
            <object type="x-im/instagram" uri="im://instagram/1841743705793149090_1452019912" url="https://www.instagram.com/p/BmPMCR3HLii/">

            </object>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)
            ->shouldHaveUrl('https://api.instagram.com/oembed/?url=https://www.instagram.com/p/BmPMCR3HLii/');
    }
    public function getMatchers(): array
    {
        return [
            'haveUrl' => function ($subject, $url) {
                return $subject[0]->embed_url === $url;
            },
        ];
    }
}
